"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isCodeBlockComponent = (packedBlockComponent) => (packedBlockComponent.type === 'codeBlock');
exports.convertToCodeBlock = (blockComponent) => {
    const { components } = blockComponent;
    const head = components.shift() || { indent: 0, text: '' };
    const { indent, text } = head;
    const match = text.match(/^\s*code:(.+)$/);
    if (!match) {
        return {
            indent: 0,
            type: 'codeBlock',
            fileName: '',
            content: ''
        };
    }
    const fileName = match[1];
    return {
        indent,
        type: 'codeBlock',
        fileName,
        content: components
            .map((blockComponent) => blockComponent.text.substring(indent + 1))
            .join('\n')
    };
};
//# sourceMappingURL=CodeBlock.js.map