"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.packBlockComponents = (blockComponents) => {
    const packedBlockComponents = [];
    let codeBlockComponents = [];
    let tableComponents = [];
    while (blockComponents.length > 0) {
        const blockComponent = blockComponents.shift();
        if (!blockComponent)
            continue;
        const { indent, text } = blockComponent;
        if (codeBlockComponents.length > 0) {
            if (indent > codeBlockComponents[0].indent) {
                codeBlockComponents.push(blockComponent);
                continue;
            }
            else {
                packedBlockComponents.push({
                    type: 'codeBlock',
                    components: codeBlockComponents
                });
                codeBlockComponents = [];
            }
        }
        if (tableComponents.length > 0) {
            if (indent > tableComponents[0].indent) {
                tableComponents.push(blockComponent);
                continue;
            }
            else {
                packedBlockComponents.push({
                    type: 'table',
                    components: tableComponents
                });
                tableComponents = [];
            }
        }
        if (text.match(/^\s*code:(.+)$/)) {
            codeBlockComponents.push(blockComponent);
            continue;
        }
        if (text.match(/^\s*table:(.+)$/)) {
            tableComponents.push(blockComponent);
            continue;
        }
        packedBlockComponents.push({
            type: 'line',
            component: blockComponent
        });
    }
    if (codeBlockComponents.length > 0) {
        packedBlockComponents.push({
            type: 'codeBlock',
            components: codeBlockComponents
        });
    }
    if (tableComponents.length > 0) {
        packedBlockComponents.push({
            type: 'table',
            components: tableComponents
        });
    }
    return packedBlockComponents;
};
//# sourceMappingURL=PackedBlockComponent.js.map