"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTableComponent = (packedBlockComponent) => (packedBlockComponent.type === 'table');
exports.convertToTable = (tableComponent) => {
    const { components } = tableComponent;
    const head = components.shift() || { indent: 0, text: '' };
    const { indent, text } = head;
    const match = text.match(/^\s*table:(.+)$/);
    if (!match) {
        return {
            indent: 0,
            type: 'table',
            fileName: '',
            cells: []
        };
    }
    const fileName = match[1];
    return {
        indent,
        type: 'table',
        fileName,
        cells: components
            .map((blockComponent) => blockComponent.text.substring(indent + 1))
            .map((block) => block.split('\t'))
    };
};
//# sourceMappingURL=Table.js.map