"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decorationRegExp = /^(.*?)\[([!"#%&'()*+,-./{|}<>_~]+) ((?:\[[^\]]+\]|[^\]])+)\](.*)$/;
exports.createDecorationNode = (decoChars, nodes) => {
    const decoSet = new Set(decoChars);
    if (decoSet.has('*')) {
        const asteriskCount = decoChars.split('*').length - 1;
        decoSet.delete('*');
        decoSet.add(`*-${Math.min(asteriskCount, 10)}`);
    }
    return {
        type: 'decoration',
        decos: Array.from(decoSet),
        nodes
    };
};
//# sourceMappingURL=DecorationNode.js.map