"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const block_1 = require("./block");
const BlockComponent_1 = require("./block/BlockComponent");
const PackedBlockComponent_1 = require("./block/PackedBlockComponent");
exports.convertToBlocks = (blockComponents) => {
    const packedBlockComponents = PackedBlockComponent_1.packBlockComponents(blockComponents);
    return packedBlockComponents
        .map(block_1.convertToBlock)
        .filter((block) => Boolean(block));
};
const parse = (input) => {
    const blockComponents = BlockComponent_1.convertToBlockComponents(input.trim());
    const firstBlock = blockComponents.shift() || { indent: 0, text: '' };
    const title = firstBlock.text || 'Untitled';
    const blocks = exports.convertToBlocks(blockComponents);
    return { title, blocks };
};
exports.default = parse;
//# sourceMappingURL=parse.js.map